<?php
/**
 * Welcome Page Initiation
*/

include get_template_directory() . '/welcome/welcome.php';

/** Plugins **/
$plugins = array(
	// *** Companion Plugins
	'companion_plugins' => array(
		'access-demo-importer' 	=> array(
			'slug' 				=> 'access-demo-importer',
			'name' 				=> esc_html__('Instant Demo Importer', 'eightphoto'),
			'filename' 			=>'access-demo-importer.php',
 			// Use either bundled, remote, wordpress
			'host_type' 		=> 'wordpress',
			'class' 			=> 'Access_Demo_Importer',
			'info' => __('Access Demo Importer Plugin adds the feature to Import the Demo Conent with a single click.', 'eightphoto'),
		)
	),
	// *** Required Plugins
	'required_plugins' 			=> array(),

	// *** Recommended Plugins
	'recommended_plugins' => array(
			// Free Plugins
		'free_plugins' => array(
			'accesspress-social-counter' => array(
				'slug' 		=> 'accesspress-social-counter',
				'filename' 	=> 'accesspress-social-counter.php',
				'class' 	=> 'SC_Class'
			),
			'contact-form-7' => array(
				'slug' 		=> 'contact-form-7',
				'filename' 	=> 'wp-contact-form-7.php',
				'class' 	=> 'WPCF7_Submission'
			),
			'accesspress-twitter-feed' => array(
				'slug' 		=> 'accesspress-twitter-feed',
				'filename' 	=> 'accesspress-twitter-feed.php',
				'class' 	=> 'APTF_Class'
			),
			'8-degree-coming-soon-page' => array(
				'slug' 		=> '8-degree-coming-soon-page',
				'filename' 	=> '8-degree-coming-soon-page.php',
				'class' 	=> 'Eight_Degree_Coming_Soon_Page'
			),
			'8-degree-notification-bar' => array(
				'slug' 		=> '8-degree-notification-bar',
				'filename' 	=> '8degree-notification.php',
				'class' 	=> 'Edn_Class'
			)
		),
		// Pro Plugins
		'pro_plugins' => array()
	),
);

$strings = array(
		// Welcome Page General Texts
	'welcome_menu_text' => esc_html__( 'EightPhoto Setup', 'eightphoto' ),
	'theme_short_description' => esc_html__( 'EightPhoto is beautiful, clean and elegant free responsive theme for photographers, artists to showcase their awesome skills. The theme has beautifully designed slider, about us, service section, call to action section, gallery section, blog section and Quick contact section. This theme is fully built on customizer which gives you power to configure/customize with live preview. Great customer support via online chat, email, support forum.', 'eightphoto' ),

	// Plugin Action Texts
	'install_n_activate' => esc_html__('Install and Activate', 'eightphoto'),
	'deactivate' => esc_html__('Deactivate', 'eightphoto'),
	'activate' => esc_html__('Activate', 'eightphoto'),

	// Recommended Plugins Section
	'pro_plugin_title' => esc_html__( 'Pro Plugins', 'eightphoto' ),
	'pro_plugin_description' => esc_html__( 'Take Advantage of some of our Premium Plugins.', 'eightphoto' ),
	'free_plugin_title' => esc_html__( 'Free Plugins', 'eightphoto' ),
	'free_plugin_description' => esc_html__( 'These Free Plugins might be handy for you.', 'eightphoto' ),

	// Demo Actions
	'installed_btn' => esc_html__('Activated', 'eightphoto'),
	'deactivated_btn' => esc_html__('Activated', 'eightphoto'),
	'demo_installing' => esc_html__('Installing Demo', 'eightphoto'),
	'demo_installed' => esc_html__('Demo Installed', 'eightphoto'),
	'demo_confirm' => esc_html__('Are you sure to import demo content ?', 'eightphoto'),

	// Actions Required
	'req_plugins_installed' => esc_html__( 'All Recommended action has been successfully completed.', 'eightphoto' ),
	'customize_theme_btn' => esc_html__( 'Customize Theme', 'eightphoto' ),
);

/**
 * Initiating Welcome Page
*/
$my_theme_wc_page = new eightphoto_Welcome( $plugins, $strings );